uuid

A 16-byte universally unique identifier. More...

`#include <uuid.hpp>`

Inheritance diagram for uuid:
[legend]
Collaboration diagram for uuid:
[legend]

## Public Types

Sequence container typedefs
typedef uint8_t | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | iterator
typedef const value_type * | const_iterator
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator

## Public Member Functions

std::string | str () const
| UUID standard string format: 8-4-4-4-12 (36 chars, 32 alphanumeric chars and 4 hyphens).
Array operators
value_type * | begin ()
const value_type * | begin () const
value_type * | end ()
const value_type * | end () const
value_type & | operator[] (size_t i)
const value_type & | operator[] (size_t i) const

## Static Public Member Functions

static uuid | copy ()
| Make a copy.
static uuid | copy (const char *bytes)
| Return a uuid copied from bytes. More...
static uuid | random ()
| Return a simple randomly-generated UUID. More...
static size_t | size ()
| Size of the array.

## Detailed Description

A 16-byte universally unique identifier.

## Member Function Documentation

## copy()

static uuid copy | ( | const char * | bytes | ) |

static

Return a uuid copied from bytes.

Bytes must point to at least 16 bytes. If `bytes == 0` the UUID is zero-initialized.

## random()

static uuid random | ( |  | ) |

static

Return a simple randomly-generated UUID.

This is used by the Proton library to generate default UUIDs.

For specific security, performance, or uniqueness requirements, you may want to use a better UUID generator or some other form of identifier entirely.

The documentation for this class was generated from the following file:

- proton/uuid.hpp